#ifndef MY_TEXTURE_H
#define MY_TEXTURE_H

#ifdef __cplusplus
extern "C"{
#endif

  // 三角パッチにテクスチャを貼り付ける
  int drawTriangleTexture(IplImage *src, CvPoint2D32f *psrc,
			  IplImage *dst, CvPoint2D32f *pdst);
  // src -> dst へのアフィン変換を含むコピー
  // いわゆるテクスチャマッピング
  // src : コピー元画像
  // psrc : コピー元の画像点（3各パッチの頂点）
  // dst : コピー先画像
  // pdst : コピー先の画像点（3各パッチの頂点）

  int drawTriangleTexture2(IplImage *src,
			   CvPoint2D32f psrc1,
			   CvPoint2D32f psrc2,
			   CvPoint2D32f psrc3,
			   IplImage *dst,
			   CvPoint2D32f pdst1,
			   CvPoint2D32f pdst2,
			   CvPoint2D32f pdst3);
  // 上と同じくテクスチャマッピング
  // 配列を用意せずに使用可能

#ifdef __cplusplus
}
#endif


#endif

